Bug 681385 - show the state of bugzilla bugs after adding a new comment
show the state of bugzilla bugs after adding a new comment
Status: NEW
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
23
Unspecified Linux
medium Severity unspecified
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
: Reopened
: 684364 (view as bug list)
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2011-03-01 19:14 EST by Kerry
Modified: 2015-11-19 06:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852134 (view as bug list)
Environment:
Last Closed: 2012-08-16 12:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kerry 2011-03-01 19:14:52 EST
Description of problem:
gmixer crashes, filing bug through abrt finds duplicate bug 596442 which has been automatically closed as an Fedora 12 end of life. 

The bug is still active but abrt won't add anything to the closed bug (or file a new bug). As far as I can tell, crashes in later revisions will never be reported ever again. Looking at bug 596442, numerous crashes were reported against later versions of gmixer (Fedora 13/14) but abruptly stopped once the bug was closed. The bug in gmixer wasn't fixed, just abrt wasn't able to update the bug report anymore.

Version-Release number of selected component (if applicable):
1.1.17

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Output from abrt for crash report:

Package:    	gmixer-1.3-17.fc14
Latest Crash:	Mon 28 Feb 2011 10:48:49 
Command:    	/usr/bin/python -OO /usr/bin/gmixer -d
Reason:     	display.py:523:send_and_recv:ConnectionClosedError: Display connection closed by server: Broken pipe
Comment:    	None
Bug Reports:	Status: CLOSED WONTFIX
		https://bugzilla.redhat.com/show_bug.cgi?id=596442

display.py:523:send_and_recv:ConnectionClosedError: Display connection closed by server: Broken pipe

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtktrayicon.py", line 98, in reconnect_dock
    if self.update_manager_window(False):
  File "/usr/lib/python2.7/site-packages/gtktrayicon.py", line 167, in update_manager_window
    xdisplay = self.get_xdisplay()
  File "/usr/lib/python2.7/site-packages/gtktrayicon.py", line 161, in get_xdisplay
    xdisplay =  Xdisplay.Display(name)
  File "/usr/lib/python2.7/site-packages/Xlib/display.py", line 102, in __init__
    exts = self.list_extensions()
  File "/usr/lib/python2.7/site-packages/Xlib/display.py", line 676, in list_extensions
    r = request.ListExtensions(display = self.display)
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/rq.py", line 1428, in __init__
    self.reply()
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/rq.py", line 1440, in reply
    self._display.send_and_recv(request = self._serial)
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/display.py", line 523, in send_and_recv
    raise self.socket_error
ConnectionClosedError: Display connection closed by server: Broken pipe

Local variables in innermost frame:
sending: 1
err: error(32, 'Broken pipe')
rs: [<socket._socketobject object at 0x930d224>]
self: <Xlib.display._BaseDisplay instance at 0x919184c>
req: <Xlib.protocol.request.ListExtensions serial = 2, data = None, error = None>
request: 2
flush_bytes: None
recieving: 1
ws: [<socket._socketobject object at 0x930d224>]
timeout: None
flush: None
wait: 1
recv: None
event: None
es: []
writeset: [<socket._socketobject object at 0x930d224>]
Comment 1 Steve Tyler 2011-03-30 17:38:21 EDT
Thanks for reporting this.
I had a similar problem.

After the reporter closed his bug,
because he could not reproduce it,
abrt would not accept a report from me:

Bug 633148, Comment 3.
Comment 2 Jiri Moskovcak 2011-05-02 14:57:41 EDT
Well, if the bug is closed "WONTFIX" should we really reopen it?
Comment 3 Steve Tyler 2011-05-02 15:09:24 EDT
One idea would to give the user an option to disable duplicate detection ...
Comment 4 Steve Tyler 2011-05-02 15:14:03 EDT
... on a per bug report basis. I don't mean adding a user setting to permanently disable duplicate detection.
Comment 5 Steve Tyler 2011-05-02 15:18:31 EDT
Another idea would be to inform the user after a duplicate is detected that the bug can be saved to a file with the report_Logger and manually opened as a new bug, if the user believes that the bug is not really a duplicate. Users can already do that, but this would let them know the can.
Comment 6 Kerry 2011-05-03 06:29:39 EDT
To comment #2, the problem is that all crashes in any future versions of the package will be ignored (automatically) because an automated process decided that a single previous version will not be fixed because it has reached EOL. 

The automated bug zapper messages says:
"Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you."

Shouldn't abrt do this? I mean the bug has been reproduced in a later version of Fedora (and of the package) just like the message asks. It seems like to do otherwise is artificially suppressing crash reports just because the particular problem has the misfortune of existing (and not be resolved) over two releases of Fedora.
Comment 7 Jiri Moskovcak 2011-05-03 06:56:30 EDT
The problem is, that from WONTFIX state abrt can't tell if it was closed because of EOL or if a maintainer closed it WONTFIX even though he is aware of the bugreport but is not going to fix it anyway because of some good reason.. We can however detect if the bug was closed by bugzapper and in such case reopen the bug. But I wouldn't reopen the ticket if it was closed by devel with status WONTFIX.
Comment 8 Steve Tyler 2011-05-03 07:39:42 EDT
I can't reopen Bug 596442 from BZ. How would abrt give reporters the ability to reopen bugs that they couldn't reopen from BZ?
Comment 9 Jiri Moskovcak 2011-05-03 07:45:23 EDT
If you don't have enough privileges to reopen it, then you can't do it even from ABRT. In that case we can only create a new ticket and link it with the original one.
Comment 10 Steve Tyler 2011-05-03 10:45:27 EDT
(In reply to comment #9)
> If you don't have enough privileges to reopen it, then you can't do it even
> from ABRT. In that case we can only create a new ticket and link it with the
> original one.

OK. Linking is a good idea.

What would you suggest for the case in Comment 1, in which the reporter erroneously closed NOTABUG? (In fact we came up with a solution that did not really need ABRT. (Bug 633148, Comment 5))
Comment 11 Jiri Moskovcak 2011-05-03 11:17:27 EDT
If it's closed as NOTABUG then I would leave ABRT behaviour as it is - I don't like the idea of ABRT trying to be smarter then reporter or developer so if someone says NOTABUG, then ABRT should ignore it. We could however in this case have a more explanatory message in ABRT like: 

This issue has already been reported and closed as NOTABUG, if you still think it's a bug, please go to <bug url> and add a comment there.

So user knows what he can do if he doesn't agree with this solution. ANd sometime later we can make the bz plugin more interactive so it can add such comment without forcing user to go to bz web page...
Comment 12 Steve Tyler 2011-05-03 11:26:55 EDT
(In reply to comment #11)
> If it's closed as NOTABUG then I would leave ABRT behaviour as it is - I don't
> like the idea of ABRT trying to be smarter then reporter or developer so if
> someone says NOTABUG, then ABRT should ignore it. We could however in this case
> have a more explanatory message in ABRT like: 
> 
> This issue has already been reported and closed as NOTABUG, if you still think
> it's a bug, please go to <bug url> and add a comment there.
> 
> So user knows what he can do if he doesn't agree with this solution. ANd
> sometime later we can make the bz plugin more interactive so it can add such
> comment without forcing user to go to bz web page...

Yes, I agree. Your explanatory message sounds good, as does the proposed BZ plugin enhancement.
Comment 13 Kerry 2011-05-03 17:56:31 EDT
I agree that abrt shouldn't be overriding decisions made by developers that a particular bug won't be fixed. However, in the case where the bug has been automatically closed because it is part of an EOL release, if the bug can't be reopened, then creating a new ticket seems like a good idea. Actually, probably better since the release numbers and package versions will all be current.
Comment 14 Jiri Moskovcak 2011-10-10 10:34:18 EDT
*** Bug 684364 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2012-08-16 12:49:57 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2013-04-03 14:11:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 darton 2013-07-13 05:34:27 EDT
I believe abrt should also re-open or create new related bugs for CLOSED ERRATA issues, reported this as separate bug 984176 since ERRATA and WONTFIX may be handled somewhat differently.
Comment 18 darton 2013-07-13 05:37:50 EDT
Isn't this bug a duplicate of bug 849833?
Comment 19 Fedora End Of Life 2015-01-09 11:35:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Jakub Filak 2015-01-09 16:35:35 EST
Since 2.3.0, libreport adds comments to all bugs but it does not reopen them. We believe that it is a responsibility of a maintainer to reopen after receiving a new duplicate comment. So, we need to get the state of the bug and show the explanatory message.
Comment 21 Fedora End Of Life 2015-11-04 08:02:10 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.